Package Details: cirkuit 0.4.3-4

Git Clone URL: https://aur.archlinux.org/cirkuit.git (read-only)
Package Base: cirkuit
Description: Cirkuit is a KDE4 GUI for the Circuit macros by Dwight Aplevich, for drawing high-quality line diagrams to include in TeX, LaTeX, for similar documents.
Upstream URL: http://wwwu.uni-klu.ac.at/magostin/cirkuit.html
Licenses: GPL
Submitter: archdria
Maintainer: CarstenF
Last Packager: XavierCLL
Votes: 31
Popularity: 0.001174
First Submitted: 2009-06-22 10:45
Last Updated: 2015-08-15 04:24

Dependencies (11)

Required by (0)

Sources (1)

Latest Comments

XavierCLL commented on 2015-09-27 15:04

I could not contact with the developer :(
I don't use this software anymore, if anyone know how fix it do it, I orphan the package for this.

XavierCLL commented on 2015-09-26 19:58

Yeah pnobel, this problem is present, this is not a packaging bug, but I contacted with the developer for fix it...

pnobel commented on 2015-09-26 16:38

CMake Error at /usr/share/apps/cmake/modules/FindGettext.cmake:232 (ADD_CUSTOM_TARGET):
add_custom_target cannot create target "pofiles" because another target
with the same name already exists. The existing target is a custom target
created in source directory
"/tmp/yaourt-tmp-parth/aur-cirkuit/src/cirkuit-0.4.3/po/lt". See
documentation for policy CMP0002 for more details.
Call Stack (most recent call first):
po/ug/CMakeLists.txt:2 (GETTEXT_PROCESS_PO_FILES)

XavierCLL commented on 2014-05-27 21:57

fixed, thanks @gondsman.

gondsman commented on 2014-05-27 21:41

Hi, I noticed that this package owns the file /usr/share/apps/katepart/syntax/gnuplot.xml
which is also owned by kdebase-katepart. Is it necessary for this package?

XavierCLL commented on 2014-05-07 01:58

you're right, sorry, It's already is fixed.

alfagalileo commented on 2014-05-06 03:14

Hi epsilom this package is empty please fix it!

XavierCLL commented on 2014-04-24 14:15

Hi @argama, you are right, fixed.

argama commented on 2014-04-24 02:36

I'd suggest the following package() routine:

package() {
cd ${startdir}/src/${pkgname}-${pkgver}/build
make DESTDIR="$pkgdir" install
}

argama commented on 2014-04-24 02:11

the "cd" line in the package() routine should be:

package() {
cd ${startdir}/src/${pkgname}-${pkgver}/build
make DESTDIR=$startdir/pkg/ install
}

maduraa commented on 2014-04-09 06:38

the PKGBUILD is missing a package() routine, new PKGBUILD: http://pastebin.com/h83Z0HWs

gondsman commented on 2013-03-02 18:48

Please update qt dependency from qt to qt4. Thanks!

XavierCLL commented on 2011-11-15 02:44

@smldis, you are right, updated.

smldis commented on 2011-11-14 16:06

Hi,
The optional dependence 'gnuplot-luaterm: Gnuplot backend' should be now gnuplot.
Luaterm backend is now supported by just gnuplot package.

Could you do this little change with next update?

Thankyou,
Samuele

XavierCLL commented on 2010-12-16 21:48

thanks @matteo81

matteo81 commented on 2010-12-16 12:42

I'd suggest adding the following optional dependencies:
optdepends=('dpic: improved circuit macros support'
'gnuplot-luaterm: Gnuplot backend')

nickoe commented on 2010-10-10 16:56

:)

XavierCLL commented on 2010-10-01 14:48

ready @nickoe

nickoe commented on 2010-10-01 14:00

You should update the md5sum

XavierCLL commented on 2010-04-13 22:16

@nickoe this is normal, when first run cirkuit, this download macros for user

nickoe commented on 2010-04-13 19:33

When I satart cirkuit I get the errorbox:

"Circuit Macros could not be found on your system. The application will not work if the macros are not installed. Do you want to proceed with the installation?"